# ESPHome Device Configurations

This repo contains YAML configurations and scripts for ESPHome devices. Each device has its own YAML file (e.g., `device1.yaml`, `device2.yaml`).

## Installation
1. Clone this repo
2. Open in VS Code and reopen in Dev Container when prompted.
3. Adjust YAML files as needed.

## Secrets
Create a `secrets.yaml` file to store Wi-Fi and OTA secrets. This ensures the OTA password is consistent across builds:
```yaml
wifi_ssid: "your-ssid"
wifi_password: "your-password"
ota_password: "your-ota-password"
```

## Usage
- Prepare device for first use via [esphome web flasher](https://web.esphome.io)
- Connect device to wifi
- Compile & upload config via ota and ip address of the device:
  ```bash
  esphome run device.yaml --device x.x.x.x
  ```

